Payment
All operations require authentication.
Retrieve available payment methodProduction
Response
Form session ID
Payment method type icon
Payment method integration type
BANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECTMerchant ID
Indicates if payment method type allows to process oneshot payment
Organization ID
Payment method sub-type
30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISAPayment method type
Indicates if payment method type is registerable ?
Indicates if payment method type allows payment and registration at the same time
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ availableMethods \
-H "authorization: Bearer $OVH_TOKEN"[ { "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "merchantId": "string", "oneshot": true, "organizationId": "string", "paymentSubType": "30_DAYS", "paymentType": "string", "registerable": true, "registerableWithTransaction": true }]
Retrieve payment method listProduction
Query parameters
Filter on 'default' property
Filter on 'paymentType' property
Filter on 'status' property
CANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATINGResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ method \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Register a new payment methodProduction
Request body (required)
Associated billing contact ID
Callback URL's necessary to register
Indicates if this payment method will be set as the default one
Personalized description
Additional payment information
Order ID to pay it if it's possible (in oneshot transaction or while registration)
Payment sub-type
CHORUSNONEPayment type
Register this payment method if it's possible (default value is false and will proceed a oneshot transaction)
Response
Form session ID
Merchant ID
Organization ID
Registered new payment method ID
Registered new transaction ID
Registration validation URL to redirect
Registration validation type
BANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECTReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ method \
-H "authorization: Bearer $OVH_TOKEN"{ "formSessionId": "string", "merchantId": "string", "organizationId": "string", "paymentMethodId": 0, "transactionId": 0, "url": "string", "validationType": "BANK_TRANSFER"}
Retrieve a payment methodProduction
Path parameters
Payment method ID
Response
Associated billing contact ID
Creation date
Indicates if payment method is the default one for this account
Custom customer description
Expiration date
Form session ID
Payment method type icon
Payment method integration type
BANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECTPayment method public label
Last update date
Merchant ID
Indicates if payment method support the oneclick functionality
Payment mean ID associated to this payment method
Payment method ID
Payment method sub-type
30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISAPayment method type
Payment method status
CANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATINGExample uses paymentMethodId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ method/ {paymentMethodId} \
-H "authorization: Bearer $OVH_TOKEN"{ "billingContactId": 0, "creationDate": "2024-01-01T12:00:00Z", "default": true, "description": "string", "expirationDate": "2024-01-01T12:00:00Z", "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "label": "string", "lastUpdate": "2024-01-01T12:00:00Z", "merchantId": "string", "oneclick": true, "paymentMeanId": 0, "paymentMethodId": 0, "paymentSubType": "30_DAYS", "paymentType": "string", "status": "CANCELED"}
Edit payment methodProduction
Path parameters
Payment method ID
Request body (required)
Associated billing contact ID
Creation date
Indicates if payment method is the default one for this account
Custom customer description
Expiration date
Form session ID
Payment method type icon
Payment method integration type
BANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECTPayment method public label
Last update date
Merchant ID
Indicates if payment method support the oneclick functionality
Payment mean ID associated to this payment method
Payment method ID
Payment method sub-type
30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISAPayment method type
Payment method status
CANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATINGResponse
Associated billing contact ID
Creation date
Indicates if payment method is the default one for this account
Custom customer description
Expiration date
Form session ID
Payment method type icon
Payment method integration type
BANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECTPayment method public label
Last update date
Merchant ID
Indicates if payment method support the oneclick functionality
Payment mean ID associated to this payment method
Payment method ID
Payment method sub-type
30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISAPayment method type
Payment method status
CANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATINGExample uses paymentMethodId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ method/ {paymentMethodId} \
-H "authorization: Bearer $OVH_TOKEN"{ "billingContactId": 0, "creationDate": "2024-01-01T12:00:00Z", "default": true, "description": "string", "expirationDate": "2024-01-01T12:00:00Z", "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "label": "string", "lastUpdate": "2024-01-01T12:00:00Z", "merchantId": "string", "oneclick": true, "paymentMeanId": 0, "paymentMethodId": 0, "paymentSubType": "30_DAYS", "paymentType": "string", "status": "CANCELED"}
Delete a payment methodProduction
Path parameters
Payment method ID
Response
Associated billing contact ID
Creation date
Indicates if payment method is the default one for this account
Custom customer description
Expiration date
Form session ID
Payment method type icon
Payment method integration type
BANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECTPayment method public label
Last update date
Merchant ID
Indicates if payment method support the oneclick functionality
Payment mean ID associated to this payment method
Payment method ID
Payment method sub-type
30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISAPayment method type
Payment method status
CANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATINGExample uses paymentMethodId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ method/ {paymentMethodId} \
-H "authorization: Bearer $OVH_TOKEN"{ "billingContactId": 0, "creationDate": "2024-01-01T12:00:00Z", "default": true, "description": "string", "expirationDate": "2024-01-01T12:00:00Z", "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "label": "string", "lastUpdate": "2024-01-01T12:00:00Z", "merchantId": "string", "oneclick": true, "paymentMeanId": 0, "paymentMethodId": 0, "paymentSubType": "30_DAYS", "paymentType": "string", "status": "CANCELED"}
Challenge your payment methodProduction
Path parameters
Payment method ID
Request body (required)
Challenge
Response
Example uses paymentMethodId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ method/ {paymentMethodId}/ challenge \
-H "authorization: Bearer $OVH_TOKEN"Add details to your payment method challengeProduction
Path parameters
Payment method ID
Request body (required)
Details data
Transaction ID
Response
Form session ID
Merchant ID
Organization ID
Registered new payment method ID
Registered new transaction ID
Registration validation URL to redirect
Registration validation type
BANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECTExample uses paymentMethodId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ method/ {paymentMethodId}/ details \
-H "authorization: Bearer $OVH_TOKEN"{ "formSessionId": "string", "merchantId": "string", "organizationId": "string", "paymentMethodId": 0, "transactionId": 0, "url": "string", "validationType": "BANK_TRANSFER"}
Finalize a payment method registrationProduction
Path parameters
Payment method ID
Request body (required)
Expiration month
Expiration year
Form session ID
Registration ID
Response
Associated billing contact ID
Creation date
Indicates if payment method is the default one for this account
Custom customer description
Expiration date
Form session ID
Payment method type icon
Payment method integration type
BANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECTPayment method public label
Last update date
Merchant ID
Indicates if payment method support the oneclick functionality
Payment mean ID associated to this payment method
Payment method ID
Payment method sub-type
30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISAPayment method type
Payment method status
CANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATINGExample uses paymentMethodId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ method/ {paymentMethodId}/ finalize \
-H "authorization: Bearer $OVH_TOKEN"{ "billingContactId": 0, "creationDate": "2024-01-01T12:00:00Z", "default": true, "description": "string", "expirationDate": "2024-01-01T12:00:00Z", "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "label": "string", "lastUpdate": "2024-01-01T12:00:00Z", "merchantId": "string", "oneclick": true, "paymentMeanId": 0, "paymentMethodId": 0, "paymentSubType": "30_DAYS", "paymentType": "string", "status": "CANCELED"}
Retrieve payment transaction listProduction
Query parameters
Payment method ID
Status
CANCELEDCANCELINGCONFIRMINGERROREXPIREDFAILEDREADYSUCCESSResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ transaction \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Retrieve a transactionProduction
Path parameters
Transaction ID
Response
Transaction amount
Creation date
Last update date
Associated payment method ID
Transaction status
CANCELEDCANCELINGCONFIRMINGERROREXPIREDFAILEDREADYSUCCESSTransaction ID
Transaction type
CREDITDEBITExample uses transactionId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ payment/ transaction/ {transactionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "creationDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "paymentMethodId": 0, "status": "CANCELED", "transactionId": 0, "type": "CREDIT"}
List of bank accountsDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Query parameters
Filter on 'status' property
blockedForIncidentspendingValidationreplacedvalidResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ bankAccount \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Add a new payment mean bank accountDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Request body (required)
Bank account BIC
Custom description of this account
Bank account IBAN
Bank account owner's address
Bank account owner's name
Set as default payment mean once validated
Response
URL where redirect for registration process
Kind of registration validation
creditAccountdocumentToSendsimpleValidationReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ bankAccount \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "submitUrl": "string", "url": "string", "validationType": "creditAccount"}
Get bank account propertiesDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
This credit card is the default payment mean?
Custom description of this bank account
Payment method type icon
Bank account owner's address
Bank account owner's name
Bank account state
blockedForIncidentspendingValidationreplacedvalidExample uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ bankAccount/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "bic": "string", "creationDate": "2024-01-01", "defaultPaymentMean": true, "description": "string", "iban": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "id": 0, "mandateSignatureDate": "2024-01-01", "ownerAddress": "string", "ownerName": "string", "state": "blockedForIncidents", "uniqueReference": "string", "validationDocumentLink": "string"}
Alter this object propertiesDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Request body (required)
This credit card is the default payment mean?
Custom description of this bank account
Payment method type icon
Bank account owner's address
Bank account owner's name
Bank account state
blockedForIncidentspendingValidationreplacedvalidResponse
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ bankAccount/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Disable payment through this accountDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ bankAccount/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Challenge your bank accountDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Request body (required)
Payload to answer the challenge
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ bankAccount/ {id}/ challenge \
-H "authorization: Bearer $OVH_TOKEN"Choose this bank account as your default payment mean. Will cancel the previous choice.Deprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ bankAccount/ {id}/ chooseAsDefaultPaymentMean \
-H "authorization: Bearer $OVH_TOKEN"List of payment mean credit cardsDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ creditCard \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Add a new payment mean credit cardDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Request body (required)
Custom description of this account
Callback URL where the customer will be redirected to after validation
Set as default payment mean once validated
Response
URL where redirect for registration process
Kind of registration validation
creditAccountdocumentToSendsimpleValidationReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ creditCard \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "submitUrl": "string", "url": "string", "validationType": "creditAccount"}
Get credit card propertiesDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
This credit card is the default payment mean?
Custom description of this credit card
Payment method type icon
Credit card BIN
Credit card state
expiredtooManyFailuresvalidTrue if this credit card has been registered with a successful 3DSecure challenge
Kind of credit card
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ creditCard/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "defaultPaymentMean": true, "description": "string", "expirationDate": "2024-01-01", "icon": { "data": "string", "name": "string", "url": "string" }, "id": 0, "number": "string", "state": "expired", "threeDsValidated": true, "type": "string"}
Alter this object propertiesDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Request body (required)
This credit card is the default payment mean?
Custom description of this credit card
Payment method type icon
Credit card BIN
Credit card state
expiredtooManyFailuresvalidTrue if this credit card has been registered with a successful 3DSecure challenge
Kind of credit card
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ creditCard/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Disable payment through this credit cardDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ creditCard/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Challenge your credit cardDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Request body (required)
Payload to answer the challenge
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ creditCard/ {id}/ challenge \
-H "authorization: Bearer $OVH_TOKEN"Choose this credit card as your default payment mean. Will cancel the previous choice.Deprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ creditCard/ {id}/ chooseAsDefaultPaymentMean \
-H "authorization: Bearer $OVH_TOKEN"List of payment mean deferred accountsProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ deferredPaymentAccount \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
Id
Response
Creation date of this deferred account
This deferred account is the default payment mean?
Custom description of this deferred account
Payment method type icon
Deferred account type
Deferred account state
failedvalidExample uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ deferredPaymentAccount/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "defaultPaymentMean": true, "description": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "id": 0, "label": "string", "state": "failed"}
Alter this object propertiesProduction
Path parameters
Id
Request body (required)
Creation date of this deferred account
This deferred account is the default payment mean?
Custom description of this deferred account
Payment method type icon
Deferred account type
Deferred account state
failedvalidResponse
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ deferredPaymentAccount/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Choose this deferred account as your default payment mean. Will cancel the previous choice.Production
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ deferredPaymentAccount/ {id}/ chooseAsDefaultPaymentMean \
-H "authorization: Bearer $OVH_TOKEN"List of payment mean paypalsDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ paypal \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Add a new payment mean paypalDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Request body (required)
Custom description of this account
Callback URL where the customer will be redirected to after validation
Set as default payment mean once validated
Response
URL where redirect for registration process
Kind of registration validation
creditAccountdocumentToSendsimpleValidationReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ paypal \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "submitUrl": "string", "url": "string", "validationType": "creditAccount"}
Get paypal propertiesDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
Paypal agreement
Paypal creation date
This paypal is the default payment mean?
Custom description of this paypal
Paypal associated email
Payment method type icon
Paypal state
failingtooManyFailuresvalidExample uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ paypal/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agreementId": "string", "creationDate": "2024-01-01T12:00:00Z", "defaultPaymentMean": true, "description": "string", "email": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "id": 0, "state": "failing"}
Alter this object propertiesDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Request body (required)
Paypal agreement
Paypal creation date
This paypal is the default payment mean?
Custom description of this paypal
Paypal associated email
Payment method type icon
Paypal state
failingtooManyFailuresvalidResponse
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ paypal/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Disable payment through this paypalDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ paypal/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Challenge your paypalDeprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Request body (required)
Payload to answer the challenge
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ paypal/ {id}/ challenge \
-H "authorization: Bearer $OVH_TOKEN"Choose this paypal as your default payment mean. Will cancel the previous choice.Deprecated
Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ paymentMean/ paypal/ {id}/ chooseAsDefaultPaymentMean \
-H "authorization: Bearer $OVH_TOKEN"